summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKeri Harris <keri@gentoo.org>2018-06-22 16:54:55 +0200
committerKeri Harris <keri@gentoo.org>2018-06-22 16:55:23 +0200
commitd611d8e817d6ac01c55fbcb2396056affd2b9062 (patch)
treea3a1a137563ddf095de3368e3cc42d89e76575d1 /dev-lang/swi-prolog
parentmail-client/neomutt: Version bump neomutt-20180622 (diff)
downloadgentoo-d611d8e817d6ac01c55fbcb2396056affd2b9062.tar.gz
gentoo-d611d8e817d6ac01c55fbcb2396056affd2b9062.tar.bz2
gentoo-d611d8e817d6ac01c55fbcb2396056affd2b9062.zip
dev-lang/swi-prolog: bump 7.7 development version
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-lang/swi-prolog')
-rw-r--r--dev-lang/swi-prolog/Manifest1
-rw-r--r--dev-lang/swi-prolog/swi-prolog-7.7.15.ebuild148
2 files changed, 149 insertions, 0 deletions
diff --git a/dev-lang/swi-prolog/Manifest b/dev-lang/swi-prolog/Manifest
index 5dc6a86b352..9cb4c3546bd 100644
--- a/dev-lang/swi-prolog/Manifest
+++ b/dev-lang/swi-prolog/Manifest
@@ -8,3 +8,4 @@ DIST swipl-7.6.3.tar.gz 16772590 BLAKE2B 644be801e290ec9d949a9b7462256a35e11cf9a
DIST swipl-7.6.4.tar.gz 16777875 BLAKE2B 94409966362e649f4748b94b4ec25415bb827c7742aa39453d8e37db4ce992a65ad2d054ded4e651f2a9abe3a9438285bc9c9c895437c087ae6cf88f4afae9ca SHA512 f0ed16e4f1436115651c38a0bb37008d0dadad5a19b0f09894fcfc51dd3d429f86488e89cce00788c3c36cc2f0cd2957f92df47d5441133a6f8ea9d91ca5470f
DIST swipl-7.7.13.tar.gz 17057506 BLAKE2B 4eb1f94511d1784f2df93100e646921541db67d09469f34f58ac9884935d1917feb4ce76f1e6284fd9e6f707b13bb8d77110c61300a78aa4c68bf4b4afd908a9 SHA512 b838b6c441542fbca3f635cb62dd844f09d0549f4da1f4ea9f9201d9e917f08e4a8917357f83e1c6704354f095f9212df92b19cbc631e91d891599eba23ef6ed
DIST swipl-7.7.14.tar.gz 17058567 BLAKE2B ad73035dfb6f731de7a6463ee1a2162f8fe54154969310f837df2367547243790c18df6cf96f16757b6e9760713123cae87c331efbb029c7b48354da24b148fa SHA512 b94b4c3f5dd55d5e90b7b005a03607eb31bb7e6aced5616b819491287b650f819a95853ad5df179c9db5b3646773c458e6d1ae65d30687d4e45e22555a4301f8
+DIST swipl-7.7.15.tar.gz 16858761 BLAKE2B e35a1d2f57ce98dc8d4d5a3fdbacc0a012bf400153b5947fea01b503a4118aa8d770636a37bdd95380e7fdd39cef271628f577839dc76f02480ad0d4505954b3 SHA512 52423615cb623059fc5a6f49451e92ebc3d1dcb43a3c0d5a1636ac156878930c9b2441e7f94567dd8128d15a56e73ac77fe4e2bd80aff7951d4fbf45d6ed5e25
diff --git a/dev-lang/swi-prolog/swi-prolog-7.7.15.ebuild b/dev-lang/swi-prolog/swi-prolog-7.7.15.ebuild
new file mode 100644
index 00000000000..38db2fe7a5a
--- /dev/null
+++ b/dev-lang/swi-prolog/swi-prolog-7.7.15.ebuild
@@ -0,0 +1,148 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils flag-o-matic java-pkg-opt-2 multilib
+
+PATCHSET_VER="0"
+
+DESCRIPTION="free, small, and standard compliant Prolog compiler"
+HOMEPAGE="http://www.swi-prolog.org/"
+SRC_URI="http://www.swi-prolog.org/download/devel/src/swipl-${PV}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="archive berkdb debug doc +gmp hardened java +libedit libressl minimal odbc pcre readline ssl static-libs test uuid zlib X"
+
+RDEPEND="sys-libs/ncurses:=
+ archive? ( app-arch/libarchive )
+ berkdb? ( >=sys-libs/db-4:= )
+ zlib? ( sys-libs/zlib )
+ odbc? ( dev-db/unixODBC )
+ pcre? ( dev-libs/libpcre )
+ readline? ( sys-libs/readline:= )
+ libedit? ( dev-libs/libedit )
+ gmp? ( dev-libs/gmp:0 )
+ ssl? (
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ java? ( >=virtual/jdk-1.7:= )
+ uuid? ( dev-libs/ossp-uuid )
+ X? (
+ virtual/jpeg:0
+ x11-libs/libX11
+ x11-libs/libXft
+ x11-libs/libXpm
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM )"
+
+DEPEND="${RDEPEND}
+ X? ( x11-base/xorg-proto )
+ java? ( test? ( =dev-java/junit-3.8* ) )"
+
+S="${WORKDIR}/swipl-${PV}"
+
+src_prepare() {
+ EPATCH_FORCE=yes
+ EPATCH_SUFFIX=patch
+ if [[ -d "${WORKDIR}"/${PV} ]] ; then
+ epatch "${WORKDIR}"/${PV}
+ fi
+
+ if ! use uuid; then
+ mv packages/clib/uuid.pl packages/clib/uuid.pl.unused || die
+ fi
+
+ # OSX/Intel ld doesn't like an archive without table of contents
+ sed -i -e 's/-cru/-scru/' packages/nlp/libstemmer_c/Makefile.pl || die
+
+ eapply_user
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing
+ use ppc && append-flags -mno-altivec
+ use hardened && append-flags -fno-unit-at-a-time
+ use debug && append-flags -DO_DEBUG
+
+ # ARCH is used in the configure script to figure out host and target
+ # specific stuff
+ export ARCH=${CHOST}
+
+ export CC_FOR_BUILD=$(tc-getBUILD_CC)
+
+ cd "${S}"/src || die
+ econf \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ $(use_enable gmp) \
+ $(use_enable static-libs static) \
+ --enable-shared \
+ --enable-custom-flags COFLAGS="${CFLAGS} -DOF=_Z_OF"
+
+ if ! use minimal ; then
+ local jpltestconf
+ if use java && use test ; then
+ jpltestconf="--with-junit=$(java-config --classpath junit)"
+ fi
+
+ cd "${S}/packages" || die
+ econf \
+ --libdir="${EPREFIX}"/usr/$(get_libdir) \
+ $(use_with archive) \
+ $(use_with berkdb bdb ) \
+ $(use_with java jpl) \
+ ${jpltestconf} \
+ $(use_with libedit) \
+ $(use_with pcre) \
+ $(use_with odbc) \
+ $(use_with readline) \
+ $(use_with ssl) \
+ $(use_with X xpce) \
+ $(use_with zlib) \
+ COFLAGS='"${CFLAGS}"'
+ fi
+}
+
+src_compile() {
+ cd "${S}"/src || die
+ emake
+
+ if ! use minimal ; then
+ cd "${S}/packages" || die
+ emake
+ ./report-failed || die "Cannot report failed packages"
+ fi
+}
+
+src_test() {
+ cd "${S}/src" || die
+ emake check
+
+ if ! use minimal ; then
+ unset DISPLAY
+ cd "${S}/packages" || die
+ emake \
+ USE_PUBLIC_NETWORK_TESTS=false \
+ USE_ODBC_TESTS=false \
+ check
+ ./report-failed || die
+ fi
+}
+
+src_install() {
+ emake -C src DESTDIR="${D}" install
+
+ if ! use minimal ; then
+ emake -C packages DESTDIR="${D}" install
+ if use doc ; then
+ emake -C packages DESTDIR="${D}" html-install
+ fi
+ ./packages/report-failed || die "Cannot report failed packages"
+ fi
+
+ dodoc ReleaseNotes/relnotes-5.10 INSTALL README.md VERSION
+}